[package]
name = "kordophone"
version = "1.0.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
async-trait = "0.1.80"
base64 = "0.22.1"
bytes = "1.10.1"
chrono = { version = "0.4.38", features = ["serde"] }
ctor = "0.2.8"
env_logger = "0.11.5"
futures-util = "0.3.31"
hyper = { version = "0.14", features = ["full"] }
hyper-tls = "0.5.0"
log = { version = "0.4.21", features = [] }
serde = { version = "1.0.152", features = ["derive"] }
serde_json = "1.0.91"
serde_plain = "1.0.2"
time = { version = "0.3.17", features = ["parsing", "serde"] }
tokio = { version = "1.37.0", features = ["full"] }
tokio-tungstenite = { version = "0.26.2", features = ["rustls-tls-webpki-roots"] }
tokio-util = { version = "0.7.15", features = ["futures-util"] }
tungstenite = { version = "0.26.2", features = ["rustls-tls-webpki-roots"] }
urlencoding = "2.1.3"
uuid = { version = "1.6.1", features = ["v4", "fast-rng", "macro-diagnostics"] }
rustls = { version = "0.23", default-features = false, features = ["ring"] }
